adsi_tx_state_s Struct Reference

`#include <adsi.h>`

## Public Attributes

int | standard
tone_gen_descriptor_t | alert_tone_desc
tone_gen_state_t | alert_tone_gen
fsk_tx_state_t | fsktx
dtmf_tx_state_t | dtmftx
async_tx_state_t | asynctx
int | tx_signal_on
int | byte_no
int | bit_pos
int | bit_no
uint8_t | msg [256]
int | msg_len
int | preamble_len
int | preamble_ones_len
int | postamble_ones_len
int | stop_bits
int | baudot_shift
logging_state_t | logging

## Detailed Description

ADSI transmitter descriptor. This contains all the state information for an ADSI (caller ID, CLASS, CLIP, ACLIP) transmit channel.

The documentation for this struct was generated from the following file:

- private/adsi.h